# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}

Name:    mpt-status
Version: 1.2.0
Release: git19c0179.1.ndias%{?dist}
Summary: Query tool to access the running configuration and status of LSI SCSI HBAs

License: GPLv2+
URL:     https://github.com/baruch/mpt-status
Source0: https://github.com/baruch/mpt-status/archive/refs/heads/master.zip
Patch0:  mpt-status.makepatch

BuildRequires: gcc, kernel-devel

%description
The mpt-status software is a query tool to access the running configuration and
status of LSI SCSI HBAs. This is a completely rewritten version of the original
mpt-status-1.0 tool written by Matt Braithwaite. mpt-status allows you to
monitor the health and status of your RAID setup.

Currently supported and tested HBAs are:

LSI 1030 SCSI RAID storage controller LSI SAS1064 SCSI RAID storage controller
LSI SAS1068 SCSI RAID storage controller LSI SAS 3442-R SCSI RAID storage
controller

Since the tool is using the MPI (message passing interface) chances are high
that the basic information regarding RAID status will be available for all LSI
based controllers. Just give it a try and report back.

%prep
%setup -q -n %{name}-master

%if 0%{?rhel} <= 9
%patch0 -p0
%else
%patch 0 -p0
%endif

%build
make %{?_smp_mflags}
strip --strip-debug --strip-unneeded %{name}


%install
%make_install
%make_install install_doc


%files
%doc README.md doc/AUTHORS doc/FAQ doc/ReleaseNotes doc/TODO doc/Changelog doc/DeveloperNotes doc/THANKS
%license doc/COPYING

%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.gz

%changelog
* Fri Jan 5 2024 Nuno Dias <Nuno.Dias@gmail.com> - 1.2.0-git19c0179.1.ndias
- Version 1.2.0
